Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.properties
Class ResourcePropertyChangeEvent

    java.lang.Object
      org.apache.muse.ws.notification.properties.ResourcePropertyChangeEvent

All Implemented Interfaces:
  XmlSerializable

public class ResourcePropertyChangeEvent
extends java.lang.Object
implements XmlSerializable

ResourcePropertyChangeEvent is a simple Java bean that represents the WSRP property change notification event. Users can instantiate this class and provide it to NotificationProducer.publish() in order to report property changes that aren't caught by the Muse WSRP implementation.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`ResourcePropertyChangeEvent(NotificationMessage message)` Parses the message content to find the WSRP change notification data.
`ResourcePropertyChangeEvent(QName propertyName, org.w3c.dom.Element[] oldValues, org.w3c.dom.Element[] newValues)`

Method Summary
`org.w3c.dom.Element[]` | `getNewValues()`
`org.w3c.dom.Element[]` | `getOldValues()`
`QName` | `getPropertyName()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourcePropertyChangeEvent

    public ResourcePropertyChangeEvent(QName propertyName,
                                       org.w3c.dom.Element[] oldValues,
                                       org.w3c.dom.Element[] newValues)

### ResourcePropertyChangeEvent

    public ResourcePropertyChangeEvent(NotificationMessage message)

  Parses the message content to find the WSRP change notification data.

Parameters:
  `message` - A notification message containing a WSRP change event.

Method Detail

### getNewValues

    public org.w3c.dom.Element[] getNewValues()

### getOldValues

    public org.w3c.dom.Element[] getOldValues()

### getPropertyName

    public QName getPropertyName()

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD